%{?nodejs_find_provides_and_requires}

%global packagename eslint-release
%global enable_tests 1

Name:		nodejs-eslint-release
Version:	0.6.4
Release:	2%{?dist}
Summary:	ESLint Release Tools

License:	MIT
URL:		https://github.com/eslint/eslint-release
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(dateformat)
BuildRequires:	npm(semver)
BuildRequires:	npm(shelljs)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(leche)
BuildRequires:	npm(sinon)
%endif

%description
ESLint Release Tools


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

rm -rf node_modules

%nodejs_fixdep shelljs

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/eslint-prerelease.js %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/
install -p -D -m0755 bin/eslint-release.js %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/
install -p -D -m0755 bin/eslint-ci-release.js %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/${packagename}/bin/eslint-prerelease.js \
    %{buildroot}%{_bindir}/${packagename}/eslint-prerelease
ln -sf %{nodejs_sitelib}/${packagename}/bin/eslint-release.js \
    %{buildroot}%{_bindir}/${packagename}/eslint-release
ln -sf %{nodejs_sitelib}/${packagename}/bin/eslint-ci-release.js \
    %{buildroot}%{_bindir}/${packagename}/eslint-ci-release

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec tests/lib/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}
%{_bindir}/eslint-prerelease
%{_bindir}/eslint-release
%{_bindir}/eslint-ci-release

%changelog
* Sat Jul 30 2016 Jared Smith <jsmith@fedoraproject.org> - 0.6.4-2
- Relax dependency on npm(shelljs)

* Fri Jul 29 2016 Jared Smith <jsmith@fedoraproject.org> - 0.6.4-1
- Initial packaging
